commit:     f9737f732a2c92a32ad6df1de7594301f9a4f5cf
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 20 03:29:12 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Dec 20 23:18:28 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9737f73

media-libs/lilv: fix includedir location, needed for gst-plugins-lv2

Package-Manager: Portage-2.3.14, Repoman-2.3.6

 media-libs/lilv/files/includedir.patch | 11 +++++++
 media-libs/lilv/lilv-0.24.2-r1.ebuild  | 53 ++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/media-libs/lilv/files/includedir.patch 
b/media-libs/lilv/files/includedir.patch
new file mode 100644
index 00000000000..f20357302b2
--- /dev/null
+++ b/media-libs/lilv/files/includedir.patch
@@ -0,0 +1,11 @@
+--- a/wscript  2017-12-19 20:47:08.288722501 -0600
++++ b/wscript  2017-12-19 20:46:46.932616417 -0600
+@@ -196,7 +196,7 @@
+ 
+ def build(bld):
+     # C/C++ Headers
++    includedir = '${INCLUDEDIR}/lilv'
+-    includedir = '${INCLUDEDIR}/lilv-%s/lilv' % LILV_MAJOR_VERSION
+     bld.install_files(includedir, bld.path.ant_glob('lilv/*.h'))
+     bld.install_files(includedir, bld.path.ant_glob('lilv/*.hpp'))
+ 

diff --git a/media-libs/lilv/lilv-0.24.2-r1.ebuild 
b/media-libs/lilv/lilv-0.24.2-r1.ebuild
new file mode 100644
index 00000000000..5c765cdd6c5
--- /dev/null
+++ b/media-libs/lilv/lilv-0.24.2-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=4
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+PYTHON_REQ_USE='threads(+)'
+
+inherit base python-any-r1 waf-utils bash-completion-r1
+
+DESCRIPTION="Library to make the use of LV2 plugins as simple as possible for 
applications"
+HOMEPAGE="http://drobilla.net/software/lilv/";
+SRC_URI="http://download.drobilla.net/${P}.tar.bz2";
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc +dyn-manifest static-libs test"
+
+RDEPEND=">=media-libs/lv2-1.14.0
+       >=media-libs/sratom-0.4.0
+       >=dev-libs/serd-0.14.0
+       >=dev-libs/sord-0.13.0"
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}
+       doc? ( app-doc/doxygen )
+       virtual/pkgconfig"
+
+DOCS=( "AUTHORS" "NEWS" "README" )
+
+src_prepare() {
+       epatch "${FILESDIR}/includedir.patch"
+       sed -i -e 's/^.*run_ldconfig/#\0/' wscript || die
+}
+
+src_configure() {
+       waf-utils_src_configure \
+               --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+               --no-bash-completion \
+               $(use test && echo "--test") \
+               $(use doc && echo "--docs") \
+               $(use static-libs && echo "--static") \
+               $(use dyn-manifest && echo "--dyn-manifest")
+}
+
+src_test() {
+       ./waf test || die
+}
+
+src_install() {
+       waf-utils_src_install
+       newbashcomp utils/lilv.bash_completion ${PN}
+}

Reply via email to